from mori_tanaka import *
from blending import *

# LEVEL I
# low density, high density C-S-H gels to create matrix
c = [0.706, 0.294]
e = [20.090, 33.930]
nu = [0.200, 0.200]

e_eff_csh, nu_eff_csh = mori_tanaka(c, e, nu)
print('E_csh_matrix: %.3f GPa' % e_eff_csh)
print('nu_csh_matrix: %.3f\n' % nu_eff_csh)

# LEVEL II
# additive to cement
additive_mass_percentage = 0.0  # % weight, e.g. limetsone
additive_matrix_mass_density = 2710  # kg/m3
e_additive = 62.0
nu_additive = 0.2

# porosity
porosity = 26.55  # in % of volume

# C-S-H matrix, clinker, portlandite (CH), low stiffness phases, additive, porosity
c = get_volume_fractions(additive_mass_percentage, additive_matrix_mass_density, porosity)
e = get_youngs_moduli(e_eff_csh, e_additive)
nu = get_poissons_ratios(nu_eff_csh, nu_additive)

# homogenization at Level II
e_eff, nu_eff = mori_tanaka(c, e, nu)

print('E_eff: %.3f GPa' % e_eff)
print('nu_eff: %.3f' % nu_eff)